Bug 28839 - Better texts in stage MARC for import
Summary: Better texts in stage MARC for import
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-10 21:45 UTC by Fridolin Somers
Modified: 2022-06-06 20:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28839: Better texts in stage MARC for import (3.45 KB, patch)
2021-08-10 21:52 UTC, Fridolin Somers
Details | Diff | Splinter Review
Screenshot without patch (241.16 KB, image/png)
2021-08-10 21:53 UTC, Fridolin Somers
Details
Screenshot with patch (232.79 KB, image/png)
2021-08-10 21:54 UTC, Fridolin Somers
Details
Bug 28839: Better texts in stage MARC for import (3.51 KB, patch)
2021-08-11 22:34 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 28839: Better texts in stage MARC for import (3.51 KB, patch)
2021-08-13 08:27 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 28839: Better texts in stage MARC for import (3.51 KB, patch)
2021-08-13 08:29 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 28839: Better texts in stage MARC for import (3.57 KB, patch)
2021-08-17 10:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28839: (QA follow-up) Fix tabs/indentation in code paragraph (1.67 KB, patch)
2021-08-17 10:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2021-08-10 21:45:32 UTC
Tool stage MARC for import is /cgi-bin/koha/tools/stage-marc-import.pl.
Its form contains texts in legends, labels, hints.

I feel like :
Labels are sometimes too long, showing them on multilines, like "Modify record using the following template". Long texts should be in legend or hint.
Legend are sometimes contains redundant text, like "Stage records into the reservoir".
Section beginning with "Comments about this file" is missing a legend, it looks like it is part of the upper section for profile.
Comment 1 Fridolin Somers 2021-08-10 21:52:20 UTC
Created attachment 123720 [details] [review]
Bug 28839: Better texts in stage MARC for import

Tool stage MARC for import is /cgi-bin/koha/tools/stage-marc-import.pl.
Its form contains texts in legends, labels, hints.

I feel like :
Labels are sometimes too long, showing them on multilines, like "Modify record using the following template". Long texts should be in legend or hint.
Legend are sometimes contains redundant text, like "Stage records into the reservoir".
Section beginning with "Comments about this file" is missing a legend, it looks like it is part of the upper section for profile.

Also lengends should be driving the user, that is why optional parts
contains a legend with "?".

Test plan :
Compare texts in page without and with patch
Comment 2 Fridolin Somers 2021-08-10 21:53:46 UTC
Created attachment 123721 [details]
Screenshot without patch
Comment 3 Fridolin Somers 2021-08-10 21:54:11 UTC
Created attachment 123722 [details]
Screenshot with patch
Comment 4 sandboxes@biblibre.com 2021-08-11 22:34:22 UTC
Created attachment 123806 [details] [review]
Bug 28839: Better texts in stage MARC for import

Tool stage MARC for import is /cgi-bin/koha/tools/stage-marc-import.pl.
Its form contains texts in legends, labels, hints.

I feel like :
Labels are sometimes too long, showing them on multilines, like "Modify record using the following template". Long texts should be in legend or hint.
Legend are sometimes contains redundant text, like "Stage records into the reservoir".
Section beginning with "Comments about this file" is missing a legend, it looks like it is part of the upper section for profile.

Also lengends should be driving the user, that is why optional parts
contains a legend with "?".

Test plan :
Compare texts in page without and with patch

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 5 Barbara Johnson 2021-08-11 22:40:28 UTC
I went ahead and signed off on this; however, there is one minor typo that needs to be fixed.  'Pre-fill values with profile ?' needs to have the extra space removed between the 'e' and the question mark.
Comment 6 Fridolin Somers 2021-08-13 08:25:41 UTC
(In reply to Barbara Johnson from comment #5)
> I went ahead and signed off on this; however, there is one minor typo that
> needs to be fixed.  'Pre-fill values with profile ?' needs to have the extra
> space removed between the 'e' and the question mark.

Oh indeed, french-style typo.
I fix it
Comment 7 Fridolin Somers 2021-08-13 08:27:23 UTC
Created attachment 123821 [details] [review]
Bug 28839: Better texts in stage MARC for import

Tool stage MARC for import is /cgi-bin/koha/tools/stage-marc-import.pl.
Its form contains texts in legends, labels, hints.

I feel like :
Labels are sometimes too long, showing them on multilines, like "Modify record using the following template". Long texts should be in legend or hint.
Legend are sometimes contains redundant text, like "Stage records into the reservoir".
Section beginning with "Comments about this file" is missing a legend, it looks like it is part of the upper section for profile.

Also lengends should be driving the user, that is why optional parts
contains a legend with "?".

Test plan :
Compare texts in page without and with patch

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 8 Fridolin Somers 2021-08-13 08:29:47 UTC
Created attachment 123822 [details] [review]
Bug 28839: Better texts in stage MARC for import

Tool stage MARC for import is /cgi-bin/koha/tools/stage-marc-import.pl.
Its form contains texts in legends, labels, hints.

I feel like :
Labels are sometimes too long, showing them on multilines, like "Modify record using the following template". Long texts should be in legend or hint.
Legend are sometimes contains redundant text, like "Stage records into the reservoir".
Section beginning with "Comments about this file" is missing a legend, it looks like it is part of the upper section for profile.

Also lengends should be driving the user, that is why optional parts
contains a legend with "?".

Test plan :
Compare texts in page without and with patch

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 9 Katrin Fischer 2021-08-17 10:24:32 UTC
Created attachment 123871 [details] [review]
Bug 28839: Better texts in stage MARC for import

Tool stage MARC for import is /cgi-bin/koha/tools/stage-marc-import.pl.
Its form contains texts in legends, labels, hints.

I feel like :
Labels are sometimes too long, showing them on multilines, like "Modify record using the following template". Long texts should be in legend or hint.
Legend are sometimes contains redundant text, like "Stage records into the reservoir".
Section beginning with "Comments about this file" is missing a legend, it looks like it is part of the upper section for profile.

Also lengends should be driving the user, that is why optional parts
contains a legend with "?".

Test plan :
Compare texts in page without and with patch

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2021-08-17 10:24:36 UTC
Created attachment 123872 [details] [review]
Bug 28839: (QA follow-up) Fix tabs/indentation in code paragraph

QA tools complained about a tab char. Cleaned up the template paragraph
it pointed out, removing tabs and correcting indentation.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Jonathan Druart 2021-08-18 13:07:51 UTC
Patches will be squashed when pushed.
Comment 12 Jonathan Druart 2021-08-18 13:36:44 UTC
Pushed to master for 21.11, thanks to everybody involved!